Subject: [PATCH] ARM: OMAP: fix erroneous mmc2 clock change on mmc3 setup

From: [email-masked] (Tony Lindgren)
Date: Fri, 20 Jan 2012 09:43:02 -0800

* Grazvydas Ignotas <[email-masked]> [120120 08:51]:
> Hi Tony,
> 
> Would be nice to have this for -rc as this used to work several
> releases back when hsmmc23_before_set_reg() was checking for a
> regulator, which wasn't set for MMC3 so the function would return
> early, not causing the problem it causes now.

Yeah this looks like a fix. I'll take a look next week as I'll
be travelling.

Tony